/* UNIDADES DE MEDIDA */

* {
  margin: 0;
}

body {
  margin: 2em;
}

h1 { margin-bottom: 20px; }

[class^="column--"] {
  box-sizing: border-box;
  border: 1px solid black;
  float: left;
  min-height: 20px;
}

.column--one {
  display: table;
  border: none;
  float: none;
  margin-bottom: 20px;
}


/* 1. Unidades absolutas */



/* 2. Unidades relativas */



/* 3. Función calc */

/* a. Layout 3 columnas */

.layout-a .column--one { width: 100%; }
.layout-a .column--one-third { width: calc(100% / 3); } /* 33.333334% */
.layout-a .column--two-third { width: calc((100% / 3) * 2); } /* 66.666667% */


/* b. Layout 3 columnas con medianil */

.layout-b .column--one { width: 100%; }
.layout-b .column--one-third { width: calc((100% / 3) - ((40px * 2) / 3)); }
.layout-b .column--two-third { width: calc(((100% / 3) * 2) - ((40px * 1) / 3)); }

.layout-b .column--one [class^="column--"],
.layout-b .column--one [class*=" column--"] { margin-left: 40px; }

.layout-b .column--one [class^="column--"]:first-child,
.layout-b .column--one [class*=" column--"]:first-child { margin-left: 0; }


